%define debug_package %{nil}

Name:           ocaml-omake
Version:        0.9.8.5
Release:        12%{?dist}
Summary:        Build system with automated dependency analysis

Group:          Development/Tools
License:        LGPLv2+ with exceptions and GPLv2+ and BSD
URL:            http://omake.metaprl.org/download.html
Source0:        http://omake.metaprl.org/downloads/omake-%{version}-3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    sparc64 s390 s390x

Patch0:         ocaml-omake-debian-stdin-stdout-fix.patch
Patch1:         ocaml-omake-0.9.8.5-no-sync.patch
Patch2:         ocaml-omake-0.9.8.5-free-buffer.patch

# omake can be used on non-OCaml projects (RHBZ#548536).
Provides:       omake

BuildRequires:  ocaml >= 3.10.2-2
BuildRequires:  ocaml-findlib-devel
BuildRequires:  gamin-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
#BuildRequires:  hevea
BuildRequires:  chrpath


%description
OMake is a build system designed for scalability and portability. It
uses a syntax similar to make utilities you may have used, but it
features many additional enhancements, including the following.

 * Support for projects spanning several directories or directory
   hierarchies.

 * Fast, reliable, automated, scriptable dependency analysis using MD5
   digests, with full support for incremental builds.

 * Dependency analysis takes the command lines into account — whenever
   the command line used to build a target changes, the target is
   considered out-of-date.

 * Fully scriptable, includes a library that providing support for
   standard tasks in C, C++, OCaml, and LaTeX projects, or a mixture
   thereof.


%prep
%setup -q -n omake-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
make all \
  PREFIX=%{_prefix} MANDIR=%{_mandir} BINDIR=%{_bindir} LIBDIR=%{_libdir}


%install
rm -rf $RPM_BUILD_ROOT
make install \
  INSTALL_ROOT=$RPM_BUILD_ROOT \
  PREFIX=%{_prefix} MANDIR=%{_mandir} BINDIR=%{_bindir} LIBDIR=%{_libdir}

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/*
strip $RPM_BUILD_ROOT%{_bindir}/omake
strip $RPM_BUILD_ROOT%{_bindir}/cvs_realclean


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE LICENSE.OMake ocamldep/LICENSE.ocamldep-omake
%doc CHANGELOG.txt
%doc doc/txt/omake-doc.txt doc/ps/omake-doc.pdf doc/html/
%{_libdir}/omake/
%{_bindir}/ocamldep-omake
%{_bindir}/omake
%{_bindir}/osh
%{_bindir}/cvs_realclean


%changelog
* Tue Jan  5 2010 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-12
- Use upstream RPM 4.8 OCaml dependency generator.

* Wed Dec 30 2009 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-11
- Rebuild for OCaml 3.11.2.

* Thu Dec 17 2009 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-10
- Add 'Provides: omake' (RHBZ#548536).
- Remove OCaml from the summary, since omake is not an OCaml-specific tool.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-8
- Rebuild for OCaml 3.11.1

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Tue Mar  3 2009 Caolán McNamara <caolanm@redhat.com> - 0.9.8.5-7
- patch src/libmojave-external/cutil/lm_printf.c rather than
  src/clib/lm_printf.c as the latter is created as a link of the
  former during the build

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-5
- Patch for "attempt to free a non-heap object" (Jakub Jelinek).

* Fri Dec  5 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-4
- Rebuild for OCaml 3.11.0.

* Fri May 16 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-3
- Rebuild with OCaml 3.10.2-2 (fixes bz 445545).

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-2
- Added stdin/stdout fix patch from Debian.

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-1
- Initial RPM release.
